portsentry (2.0.6-1) unstable; urgency=medium

  * Updated Dutch translations (Closes: #1118208)
  * Updated Portuguese translations (Closes: #1119829)
  * Updated to new upstream version, 2.0.6
  * As of Portsentry 2.0 the default config won't cause bug #795186 to happen.
    (Closes: #795186)

 -- Marcus Hufvudsson <mh@protohuf.com>  Sun, 02 Nov 2025 12:14:07 +0000

portsentry (2.0.5-2) unstable; urgency=medium

  * Updated German translations, fixing bug (Closes: #1116975)

 -- Marcus Hufvudsson <mh@protohuf.com>  Fri, 03 Oct 2025 03:13:26 +0000

portsentry (2.0.5-1) unstable; urgency=medium

  [ Marcus Hufvudsson ]
  * Update to latest upstream version
  * Fixed lintian warning maintainer-script-lacks-debhelper-token
  * Revert old conf template for now
  * Remove obsolete message and change file encoding for swedish translation
    to UTF8
  * Fixed malformed-title-in-templates
  * Ran debconf-updatepo after fixing template message

  [ Andreas Tille ]
  * d/watch: Fix download name of new upstream source

 -- Marcus Hufvudsson <mh@protohuf.com>  Sun, 14 Sep 2025 16:55:25 +0200

portsentry (1.2-16) unstable; urgency=medium

  * Debian team upload.
  * Move aliased files from / to /usr (DEP17). (Closes: #1085161)

 -- Michael Biebl <biebl@debian.org>  Tue, 15 Oct 2024 18:19:00 +0200

portsentry (1.2-15) unstable; urgency=medium

  * Team upload by debian/ team
    Closes: #1081771

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Andreas Tille ]
  * debian/README.source: Replace redundant hint to quilt by hint how
    to possibly get latest commits from Github as new upstream source
  * debian/watch: Add comment to fetch latest upstream commit
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: binary-targets
  * Trim trailing whitespace.
  * Create automatically portsentry.history
    Closes: #1010718
  * d/rules: drop useless boilerplate comment
  * d/rules: short dh
  * d/rules: Enable hardening options

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #894974)
    + Let dh_auto_build pass cross tools to make.
    + Defer all stripping to dh_strip.

  [ Paulo Henrique de Lima Santana ]
  * Updated d/po/pt_BR.po (Closes: #1028013)

  [ наб ]
  * d/rules: no need for `pwd` or `dh_listpackages`
  * d/post{inst,rm}: stop supporting upgrades from 1.0-2 (unneeded since woody)
  * Add systemd service (Closes: #1039322)
    + the sysvinit unit starts 0/1/2 programs ad lib
    + this is unrepresentable in systemd
    + instead, mask it, ship template, and enable the appropriate
      portsentry@tcp.service and portsentry@udp.service
  * Make portsentry-build-ignore-file idempotent
  * debian/{po/{de,fr,nb}.po,portsentry.conf.5}: lintian national-encoding
  * d/prerm: lintian command-with-path-in-maintainer-script
  * d/control: lintian skip-systemd-native-flag-missing-pre-depends
  * d/NEWS: mention the new systemd setup

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Fri, 04 Oct 2024 01:05:13 +0200

portsentry (1.2-14) unstable; urgency=medium

  * debian/control:
    - Bump standards version to 3.9.2.
    - Update debhelper compatibility to 9
  * debian/patch:
    + Add debian/patches/01_dpkg-buildflags.diff to complete hardening
      options. Thanks to Guillaume Delacour <gui@iroqwa.org>
      (Closes: #763158)
  * debian/copyright:
    - Fix DEP-5 compatibility issues
    - Update copyright years
  * debian/portsentry.init.d:
    - Add source /lib/lsb/init-functions
    - Set Required-Start dependency to $syslog

 -- Dario Minnucci <midget@debian.org>  Wed, 29 Oct 2014 12:34:30 +0100

portsentry (1.2-13) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * debian/control:
    - Bump standards version to 3.9.2.
    - Remove references to quilt.
    - Update debhelper compatibility to 8.
    - Added Vcs-Git and Vcs-Browser fields.
  * debian/rules:
    - Remove references to quilt.
    - Added missing recommended targets (build-arch and build-indep)
  * debian/portsentry.docs:
    - Install upstream's changelog just once.
  * debian/copyright: Updated to be DEP-5 compatible.
  * debian/po:
    - Added Danish translation. Thanks to Joe Dalton. (Closes: #653746)

 -- Dario Minnucci <midget@debian.org>  Sat, 14 Jan 2012 15:28:20 +0100

portsentry (1.2-12) unstable; urgency=low

  * Adopting portsentry
  * Acknowledge NMU, thanks to Petter Reinholdtsen. (Closes: #547058)
  * debian/control:
    - Maintainers address updated
    - Added quilt to Build-Depends
    - Bump standard version to 3.8.3: Added debian/README.source
    - Adding 'Homepage:' field
    - Adding ${misc:Depends} to fix lintian W: debhelper-but-no-misc-depends
  * debian/watch: Added.
  * Move files and dirs outside upstream sources (into ./debian directory):
    - [DIR]  scripts
    - [FILE] portsentry.conf.Debian
    - [FILE] portsentry.ignore.static
  * Some files were renamed under debian directory:
    - debian/dirs   -->  debian/portsentry.dirs
    - debian/docs   -->  debian/portsentry.docs
    - debian/init.d -->  debian/portsentry.init.d
  * debian/rules: Added quilt support
  * debian/patches: Added patches to revert changes made on upstream files
    - 00_fix_Makefile.patch
    - 00_fix_portsentry_config.h.patch
    - 00_fix_portsentry.c.patch
    - 00_fix_README.install.patch


 -- Dario Minnucci <midget@debian.org>  Fri, 22 Jan 2010 12:32:46 +0100

portsentry (1.2-11.3) unstable; urgency=low

  * Non-maintainer upload to fix release goal.
  * Fix incorrect provides in init.d script (Closes: #542600).
  * Make init.d script depend on $all to start last in the boot sequence
    (Closes: #539257).
  * Fix typo in portsentry(8) manual page (Closes: #431304).
  * Remove redundant code from postinst.  The same code is inserted
    by dh_installinit.
  * Make sure errors are not ignored in prerm.
  * Move to debhelper versjon 7.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 17 Sep 2009 00:13:57 +0200

portsentry (1.2-11.2) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Add LSB headers to init script. Closes: #462220
  * Debconf translations:
    - Vietnamese. Closes: #426849
    - Romanian. Closes: #411385
    - Norwegian Bokmål. Closes: #414463
    - Dutch. Closes: #419404
    - Finnish. Closes: #448189
    - Italian. Closes: #422006
  * [Lintian] Add a copyright mention in debian/copyright
  * [Lintian] Do not ignore errors from "make distclean" in
    debian/rules

 -- Christian Perrier <bubulle@debian.org>  Wed, 20 Feb 2008 20:02:49 +0100

portsentry (1.2-11.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - German. Closes: #411333
    - Swedish. Closes: #411335
    - Czech. Closes: #411342
    - Galician. Closes: #411384
    - Japanese. Closes: #411389
    - Italian. Closes: 411412
    - Basque. Closes: #411464
    - Russian. Closes: #411539
    - French. Closes: #411570
    - Catalan. Closes: #411750

 -- Christian Perrier <bubulle@debian.org>  Wed, 21 Feb 2007 07:41:46 +0100

portsentry (1.2-11) unstable; urgency=low

  * Updated German (de.po) translation. (closes: #396090)
  * Updated Japanese (ja.po) translation. (closes: #393207)
  * Added Spanish (es.po) translation. (closes: #404617)
  * Added Portuguese (pt.po) translation. (closes: #401276)
  * Changed the chown usage in the postinst script.
  * Not using first person mode in files anymore.
  * Added the #DEBHELPER# token in postinst and prerm.
  * Fixed long description in the control file.

 -- Bruno Barrera C. <bruno@debian.org>  Sun, 29 Oct 2006 18:54:13 -0300

portsentry (1.2-10) unstable; urgency=low

  * Added Swedish (sv.po) translation. (closes: #331182)

 -- Bruno Barrera C. <bruno@debian.org>  Sun, 12 Mar 2006 03:19:16 -0400

portsentry (1.2-9) unstable; urgency=low

  * Updated {fr.po,cz.po,vi.po} translations.
    (closes: #322928,#322429,#322294)
  * Added dependency on debconf-2.0
  * Updated Standars-Version to 3.6.2

 -- Bruno Barrera C. <bruno@debian.org>  Sun,  4 Sep 2005 07:59:40 -0400

portsentry (1.2-8) unstable; urgency=low

  * Fixed typo in debian/templates. (closes: #316984)
  * Added Vietnamese translation. (closes: #316985)

 -- Bruno Barrera C. <bruno@debian.org>  Sun, 31 Jul 2005 10:57:37 -0400

portsentry (1.2-7) unstable; urgency=high

  * Fixed reference to README.Install in manpage. (closes: #307854)
  * Fixed typo in scan-detect. (closes: #300793)
  * Added Czech debconf translation. (closes: #309229)

 -- Bruno Barrera C. <bruno@debian.org>  Sun,  5 Jun 2005 09:27:30 -0400

portsentry (1.2-6) unstable; urgency=low

  * New Maintainer.
  * Fixed typo in portsentry.conf (closes: #283211)

 -- Bruno Barrera C. <bruno@debian.org>  Sat, 12 Feb 2005 19:45:57 -0300

portsentry (1.2-5) unstable; urgency=low

  * add brasilian translation by Tiago Bortoletto Vaz, thanks!
    (Closes: #267409)
  * fix perl warning in portsentry-build-ignore-file and 'use strict;'

 -- Guido Guenther <agx@debian.org>  Mon, 23 Aug 2004 08:44:33 +0200

portsentry (1.2-4) unstable; urgency=low

  * add japanese translation by Hideki Yamane, thanks! (Closes: #224173)
  * fix portsentry.8 manpage to display properly in UTF8 locales

 -- Guido Guenther <agx@debian.org>  Sat, 27 Dec 2003 18:12:30 +0100

portsentry (1.2-3) unstable; urgency=low

  * fix URL in copyright file (Closes: #211378)
  * us dh_installppp to install ip-{up,down} scripts, thanks to Thomas
    Hood for pointing this out (Closes: #212907)

 -- Guido Guenther <agx@debian.org>  Sun, 26 Oct 2003 19:10:04 +0100

portsentry (1.2-2) unstable; urgency=low

  * echo 4 > debian/compat
  * use invoke-rc.d when possible
  * add french translation by Michel Grentzinger <mic.grentz at online.fr>,
    thanks! (Closes: #207110)
  * remove obsolete /etc/portsentry/startup.conf from debconf message
  * bump Standards-Version to 3.6.1
  * properly match IPs if portsentry.ignore.static doesn't end with a newline
    (Closes: #209222)
  * use '-e' in the ppp scripts

 -- Guido Guenther <agx@debian.org>  Mon,  8 Sep 2003 19:20:45 +0200

portsentry (1.2-1) unstable; urgency=low

  * new upstream version
  * upstream license change to "common public license 1.0", so we can finally
    move to main - yay! (Closes: #201730)
  * upstream homepage has moved (Closes: #196397)
  * fix upstream email in manpages
  * remove multiline strings to make gcc-3.3 happy
  * honor DEB_BUILD_OPTIONS
  * bump standards version to 3.6.0
  * move to po-debconf (and therefore build-depend on debhelper >=4.1.16)
  * finally add catalan translation (Closes: #139738)
  * postinst: don't create /usr/doc/portsentry symlink anymore
  * debian/copyright: remove (s) from Author(s) to shut up lintian

 -- Guido Guenther <agx@debian.org>  Wed,  6 Aug 2003 22:14:38 +0200

portsentry (1.1-3) unstable; urgency=low

  * make init.d script more consistent with other startup scripts
    (Closes: #121943)

 -- Guido Guenther <agx@debian.org>  Sun, 16 Dec 2001 03:12:03 +0100

portsentry (1.1-2) unstable; urgency=low

  * move - don't rename - portsentry.ignore (Closes: #112801)
  * only restart portsentry if it's already running, when bringing
    up ppp

 -- Guido Guenther <agx@debian.org>  Wed, 31 Oct 2001 22:41:32 +0100

portsentry (1.1-1) unstable; urgency=low

  * new upstream version (Closes: #83858, #89162, #96627, #92946)
  * synced manpages
  * update kill_cmd-example to honor $MODE$
  * "/e/init.d/portsentry start" gave a confusing message when
    portsentry was already running - fixed
  * compile with -g as per policy

 -- Guido Guenther <agx@debian.org>  Thu, 19 Jul 2001 22:45:41 +0200

portsentry (1.0-2) unstable; urgency=low

  * readded proper prerm-script to avoid long downtimes(see #70756)
  * got rid of old(<0.99.1-0.40) cruft in preinst
  * fixed alignment in debconf templates
  * moved startup.conf to /etc/default/portsentry and added a
    debconf dialog to explain what's happening
  * bumped standards version to 3.5.5

 -- Guido Guenther <agx@debian.org>  Thu, 12 Jul 2001 01:04:28 +0200

portsentry (1.0-1.9) unstable; urgency=low

  * moved to debhelper v3 (this handles all conffiles in /etc
    automagically)
  * cleanup of perl scripts in /u/l/portsentry thereby added
    better temp file handling
  * added german debconf translation(thanks to Sebastian Feltel)
    (Closes: #100516)
  * fixed problem in portsentry-build-ignore-file when $LANG!=C
  * changed ADVANCED_PORTS_* to 1024. This mostly fixes
    #92946 but I leave it open since there is still a bug
    in portsentry.c(patch submitted upstream)
  * added support for iptables to portsentry.conf(thanks to Dan
    Christensen) (Closes: #93244)
  * clarified comments in /etc/portsentry.ignore.static

 -- Guido Guenther <agx@debian.org>  Sun,  1 Jul 2001 23:54:11 +0200

portsentry (1.0-1.8) unstable; urgency=low

  * remove dh_suidregister call in debian/rules
  * change references from /usr/doc to /usr/share/doc in manpages
    (Closes: #92945)
  * fix typo in portsentry-build-ignore-file
  * fix wrong filename in first line of portsentry.ignore
  * use /var/lib/portsentry instead of /tmp for temporary files
  * remove empty subdirs on purge (Closes: #96626)
  * install missing credits file

 -- Guido Guenther <agx@debian.org>  Sun, 10 Jun 2001 14:01:25 +0200

portsentry (1.0-1.7) unstable; urgency=low

  * fix dependencies (Closes: #76878)

 -- Guido Guenther <agx@debian.org>  Mon, 13 Nov 2000 00:25:13 +0100

portsentry (1.0-1.6) unstable; urgency=low

  * made init.d-script more verbose
  * checked policy and bumped standards version to 3.2.1
  * removed various .ex files from debian directory
  * do not stop portsentry on upgrades to avoid long downtimes
    (see prerm & postinst) (Closes #70756).

 -- Guido Guenther <agx@debian.org>  Sat, 16 Sep 2000 09:35:58 +0200

portsentry (1.0-1.5) unstable; urgency=low

  * display debconf message only upon first install
  * fixed typos and changed maintainer address

 -- Guido Guenther <agx@debian.org>  Sun, 13 Aug 2000 22:58:30 +0200

portsentry (1.0-1.4) unstable; urgency=low

  * fixed preinst to shut up lintian complaining about missing debhelper token
  * the package now uses debconf to display messages during installation
  * the kill_cmd example created an unsafe tmpfile - fixed.

 -- Guido Guenther (agx) <guido.guenther@uni-konstanz.de>  Sun, 26 Mar 2000 17:33:49 +0200

portsentry (1.0-1.3) unstable; urgency=low

  * removed unnecessary echo-calls from postinst
  * portsentry-build-ignore-file unsafely created a file in /tmp - fixed.
  * debian/rules now uses install instead of cp/chown
  * fixed various typos in manpages, scripts, etc.

 -- Guido Guenther (agx) <guido.guenther@uni-konstanz.de>  Fri, 24 Mar 2000 08:18:58 +0100

portsentry (1.0-1.2) unstable; urgency=low

  * removed "shouldn't" from package description. Closes: #58591
  * renamed portsentry-built-ignore-file to portsentry-build-ignore-file
  * postrm did not remove portsentry.ignore upon purge, fixed.

 -- Guido Guenther (agx) <guido.guenther@uni-konstanz.de>  Mon, 28 Feb 2000 01:34:54 +0100

portsentry (1.0-1.1) unstable; urgency=low

  * fixed the copyright file

 -- Guido Guenther (agx) <guido.guenther@uni-konstanz.de>  Tue, 11 Jan 2000 05:44:27 +0100

portsentry (1.0-1) unstable; urgency=low

  * moved Build-Depends to source section in control file
  * removed perl-base from dependencies since it's an essential package
  * changed portsentry.conf.Debian to not block any hosts by default

 -- Guido Guenther (agx) <guido.guenther@uni-konstanz.de>  Wed,  8 Dec 1999 21:10:44 +0000

portsentry (1.0-0.1) unstable; urgency=low

  * new upstream version

 -- Guido Guenther (agx) <guido.guenther@uni-konstanz.de>  Fri,  3 Dec 1999 10:13:57 +0100

portsentry (0.99.1-0.42) unstable; urgency=low

  * Makefile.Debian is now obsolete
  * cleaned up portsentry-built-ignore-file a bit

 -- Guido Guenther (agx) <guido.guenther@uni-konstanz.de>  Wed, 24 Nov 1999 23:28:00 +0100

portsentry (0.99.1-0.41) unstable; urgency=low

  * fixed wrong dependency on netstd
  * fixed postrm script to also remove dynamically build portsentry.ignore
  * added ppp scripts
  * changed rules script to set permissions correctly
  * switched to cvs
  * moved debian specific installation part from Makefile to rules script
  * added scan_detect script by Ben Gertzfield <che@debian.org> to examples

 -- Guido Guenther (agx) <guido.guenther@uni-konstanz.de>  Sat, 20 Nov 1999 11:00:48 +0100

portsentry (0.99.1-0.40) unstable; urgency=low

  * /etc/init.d/portsentry now checks for dynamic IPs.
  * moved to non-free/net
  * added /usr/lib/portsentry/portsentry-* scripts
  * made startup.conf's format similar to portsentry.conf & logcheck.conf
  * adapted manpages to reflect these changes
  * again fixed some typos in the manpage :-)

 -- Guido Guenther (agx) <guido.guenther@uni-konstanz.de>  Wed, 10 Nov 1999 21:29:56 +0100

portsentry (0.99.1-0.32) unstable; urgency=low

  * first build for potato
  * switched to gnupg
  * fixed some more typos

 -- Guido Guenther (agx) <guido.guenther@uni-konstanz.de>  Thu, 30 Sep 1999 22:44:06 +0200

portsentry (0.99.1-0.31) unstable; urgency=low

  * Fixed a bad(stupid) link in /usr/doc/portsentry

 -- Guido Guenther <guido.guenther@uni-konstanz.de>  Wed, 22 Sep 1999 18:44:54 +0200

portsentry (0.99.1-0.3) unstable; urgency=low

  * Fixes typos in the manual page
  * renamed portd.conf to startup.conf
  * added portsentry.conf(5) manual page

 -- Guido Guenther <guido.guenther@uni-konstanz.de>  Wed, 22 Sep 1999 13:18:00 +0200

portsentry (0.99.1-0.2) unstable; urgency=low

  * Fixed a bad typo(affecting atcp-mode) in init.d script and portd.conf

 -- Guido Guenther <guido.guenther@uni-konstanz.de>  Mon, 20 Sep 1999 11:44:24 +0200

portsentry (0.99.1-0.1) unstable; urgency=low

  * Initial Release.
  * made Makefile.Debian and portsentry.conf.Debian from original ones
    and changed portsentry_config.h to meet debians directory structure

 -- Guido Guenther <guido.guenther@uni-konstanz.de>  Wed,  8 Sep 1999 16:28:02 +0200
